######################################################################
#
# Macro Name    : c:/tutorials/v6.0/geology_database/data_work/test.tcl
#
# Version       : Surpac 6.0.1
#
# Creation Date : Mon Nov 12 16:05:42 2007
#
# Description   : 
#
######################################################################

set status [ SclFunction "GEOLOGY DATABASE DISCONNECT" {} ]

set status [ SclFunction "RECALL ANY FILE" {
  file="surpac_training.ddb"
  mode="openInNewLayer"
}]


set status [ SclFunction "DRILLHOLE ATTRIBUTES" {
  trace_colour="forest green"
  trace_thickness="1"
  table=""
  field=""
  tick_mark_weight="1"
  show_collars="true"
  cylinder_style="no cylinders"
  cylinder_radius="1"
  cylinder_maximum="50"
}]

set status [ SclFunction "DRILLHOLE COLLARS" {
  show_collars="true"
  collar_marker="(+)"
  collar_marker_size="0.5"
  position="along path"
  num_rows="0"
}]

set status [ SclFunction "DRILLHOLE GEOLOGY" {
  num_rows="1"
  tbl={
    "geology"
  }
  fld={
    "lithology"
  }
  position={
    "left"
  }
  size={
    "1"
  }
  offset={
    "0"
  }
}]

set status [ SclFunction "DRILLHOLE LABELS" {
  tick_length="1"
  num_rows="2"
  tbl={
    "sample"
    "geology"
  }
  fld={
    "gold"
    "lithology"
  }
  position={
    "right"
    "left"
  }
  alignment={
    "left"
    "right"
  }
  offset={
    "1"
    "2"
  }
  decimals={
    "2"
    "-1"
  }
  use_styles={
    "true"
    "true"
  }
  colour={
    ""
    ""
  }
  combine={
    "true"
    "true"
  }
  font_style={
    "Default"
    "Default"
  }
  font_size={
    "1"
    "1"
  }
  font_units={
    "oru"
    "oru"
  }
}]

set status [ SclFunction "DRILLHOLE GRAPHS" {
  num_rows="0"
}]

set status [ SclFunction "DRILLHOLE DEPTH MARKERS" {
  position="left"
  alignment="right"
  use_styles="true"
  colour=""
  font_style="Default"
  font_units="oru"
  font_size="1"
  major="10"
  minor="0"
  major_length="3"
  minor_length="1"
  offset="5"
  decimals="2"
  display="false"
}]

set status [ SclFunction "DRILLHOLE APPARENT DIP MARKERS" {
  num_rows="0"
}]

set status [ SclFunction "RECALL ANY FILE" {
  file="section_7320_north.swa"
  mode="openInNewLayer"
}]

set status [ SclFunction "GET DATABASE HANDLE" {
  sessionType="GeologyDatabase"
  DatabaseHandle="GEOLOGY"
  DatabaseType="drillholes"
  DatabaseName="surpac_training"
  result=1
}]

set status [ SclFunction "DRILLHOLE GRADE NEW" {
  tbl={
    "sample"
  }
  fld={
    "gold"
  }
  dilute={
    "true"
  }
  dfield={
    "D1"
  }
  num_rows="1"
  included="true"
  minimum_percentage="75"
}]

set status [ SclFunction "PICK SEGMENT" {
  prompt="DB_SELECT_SEGMENT"
  select_point={
    {
      winx="0.228"
      winy="0.298"
      objectx="1746.019"
      objecty="7319.962"
      objectz="181.849"
    }
  }
  dataset="ore1.str"
  string="1"
  segment=5
  selected=true
  points=55
  collinear=false
  return_value=0
}]

set status [ SclFunction "DRILLHOLE SEGMENT GRADE" {
  segment_number="5"
  layer_name="ore1.str"
  string_number="1"
}]

set status [ SclFunction "PICK SEGMENT" {
  prompt="DB_SELECT_SEGMENT"
  selected=false
  return_value=-1
}]

set status [ SclFunction "DRILLHOLE GRADE DELETE" {} ]

set status [ SclFunction "TOOL MODE TRADITIONAL" {} ]

set status [ SclFunction "TOOL CANCEL CURRENT" {} ]

set status [ SclFunction "IDENTIFY POINT" {
  select_point={
    {
      winx="0.204"
      winy="0.279"
      objectx="1740.007"
      objecty="7319.962"
      objectz="178.024"
    }
  }
}]

set status [ SclFunction "ZOOM ALL" {} ]

set status [ SclFunction "SECTION" {} ]

puts  ""
puts  ""
puts  "Macro 04f_determine_segment_grade.tcl completed."
puts  ""

